Class | Chef::Resource::GemPackage
In: | lib/chef/resource/gem_package.rb
Parent: | Chef::Resource::Package

### Methods

gem_binary new options source

### Public Class methods

new(name, run_context=nil)

### Public Instance methods

gem_binary(gem_cmd=nil)

Sets a custom gem_binary to run for gem commands.

options(opts=nil)

Options for the gem install, either a Hash or a String. When a hash is given, the options are passed to Gem::DependencyInstaller.new, and the gem will be installed via the gems API. When a String is given, the gem will be installed by shelling out to the gem command. Using a Hash of options with an explicit gem_binary will result in undefined behavior.

source(arg=nil)

[Validate]